#pragma once

struct _BgmState;
typedef struct _BgmState *BgmState;

// Begins playing music. Returns FALSE on error, or TRUE if the music
// thread was able to start.
//
// Note: This function doesn't test for whether the music was able to
// start! There's no way to test for that at the moment.
BOOL PrepareMusic(HINSTANCE, BgmState *);

// Ends the music thread.
void EndMusic(BgmState);

// Toggles between play and pause. Returns -1 on error, or the
// current state on success: 0 is playing, 1 is paused.
int TogglePlayPause(BgmState state);

char *MusicStartFailReason;