#include "stdafx.h"
#include "Nfo.h"
#include "resource.h"
#include <stdio.h>

#define OpenURL(url)	\
	ShellExecute(		\
		hDlg,			\
		_T("open"),	\
		url,			\
		NULL,			\
		NULL,			\
		SW_SHOWNORMAL)

INT_PTR CALLBACK
NfoDlgProc(HWND hDlg,
		   UINT uMsg,
		   WPARAM wParam,
		   LPARAM lParam)
{
	switch (uMsg) {
	case WM_COMMAND:
		switch (LOWORD(wParam)) {
		case IDC_HLSITE:
			OpenURL(_T("https://cohost.org/hell-labs"));
			break;
		case IDC_OGLINK:
			OpenURL(_T("https://tiredand.gay/keygender/"));
			break;
		case IDCLOSE:
			EndDialog(hDlg, 0);
			break;
		}
		break;
	case WM_CLOSE:
		EndDialog(hDlg, 0);
		break;
	default:
		return FALSE;
	}

	return TRUE;
}